@import url("https://fonts.googleapis.com/css?family=Raleway:400,700");
*, *:before, *:after {
  box-sizing: border-box;
}
body {
  min-height: 100vh;
  font-family: "Raleway", sans-serif;
}
.container {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.container:hover .top:before, .container:hover .top:after, .container:hover .bottom:before, .container:hover .bottom:after, .container:active .top:before, .container:active .top:after, .container:active .bottom:before, .container:active .bottom:after {
  margin-left: 250px;
  transform-origin: -250px 50%;
  transition-delay: 0s;
}
.container:hover .center, .container:active .center {
  opacity: 1;
  transition-delay: 0.2s;
}
.top:before, .top:after, .bottom:before, .bottom:after {
  content: "";
  display: block;
  position: absolute;
  width: 200vmax;
  height: 200vmax;
  top: 50%;
  left: 50%;
  margin-top: -100vmax;
  transform-origin: 0 50%;
  transition: all 0.5s cubic-bezier(0.445, 0.05, 0, 1);
  z-index: 10;
  opacity: 0.65;
  transition-delay: 0.2s;
}
.top:before {
  transform: rotate(45deg);
  background: #e46569;
}
.top:after {
  transform: rotate(135deg);
  background: #ecaf81;
}

.bottom:before {
  transform: rotate(-45deg);
  background: #60b8d4;
}
.bottom:after {
  transform: rotate(-135deg);
  background: #3745b5;
}

.center {
  position: absolute;
  inset: 0 0;
  display: grid;
  place-items: center;
  opacity: 0;
  transition: all 0.5s cubic-bezier(0.445, 0.05, 0, 1);
  transition-delay: 0s;
  color: #333;
}
.center form{
  display: flex;
  justify-content: center;
  align-items:center;
  padding: 30px;
  flex-direction:column;
  width: clamp(300px, 30vw, 400px);
}
.center input {
  width: 100%;
  padding: 15px;
  margin: 5px;
  border-radius: 1px;
  border: 1px solid #ccc;
  font-family: inherit;
}
.form-setting-style {
  padding-bottom: 4rem;
}
#home-page-style {
  padding-left: 1rem;
  padding-right: 1rem;
  justify-content: center;
  margin-inline-start: 5px;
  margin-inline-end: 2rem;
}
.google-icon-style {
  width: 1.85rem;
  height: 1.85rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  background-color: #fff;
}
.button-padding-style {
  margin-inline-end: 1rem;
  margin-inline-start: 5px;
  border: 1px solid #EAEAEA;
  background-color: #EAEAEA;
}
.button-icon-style {
  margin-top: 1rem;
}
.sign-in-style {
  margin-inline-end: -4px;
}

#register-result {
  font-weight: bold;
  color: #000000;
}

#register-result.error {
  color: red;
}

#register-result.success {
  color: green;
}